List Playbooks
curl --request GET \
--url https://app.textql.com/v2/playbooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.textql.com/v2/playbooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.textql.com/v2/playbooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"playbooks": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"prompt": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"connector_ids": [
123
],
"cron_string": "<string>",
"email_addresses": [
"<string>"
],
"slack_channel_id": "<string>"
}
],
"total_count": 123
}{
"error": {
"code": "unauthenticated",
"message": "Authentication required"
}
}{
"error": {
"code": "permission_denied",
"message": "Insufficient permissions"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded"
}
}{
"error": {
"code": "internal",
"message": "Internal server error"
}
}Playbooks
List Playbooks
List playbooks with optional filtering and pagination
GET
/
v2
/
playbooks
List Playbooks
Authorizations
API key or JWT token
Query Parameters
Maximum number of playbooks to return
Number of playbooks to skip
Filter playbooks by name
Field to sort by
Available options:
name, created_at, updated_at Sort direction
Available options:
asc, desc Filter by playbook status
Available options:
draft, deployed ⌘I